콘텐츠로 건너뛰기

Cosmos 3 Super Image to Video

통합

모델 id nvidia/cosmos-3-super/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nvidia/cosmos-3-super/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $0.40 400 API 크레딧 · ≈ ₽43.03 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
NVIDIA 이미지를 동영상으로 립싱크 #stylized#transform#lipsync

첫 프레임 이미지를 동영상으로 애니메이션화하며 선택적 프롬프트 확장과 에이전트 기반 개선 루프를 제공합니다

NVIDIA · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 88 / 4096

텍스트로 작성하는 동영상 생성 지침입니다. 장면에 포함될 내용과 표시할 움직임을 지정하세요.

•필수 image_url
파일을 끌어다 놓거나

동영상 첫 프레임을 조건화하는 데 사용하는 이미지 URL입니다.

image_size 기본값 {"height":480,"width"...

자동 조정 전 요청하는 동영상 크기입니다. 지원되는 크기를 얻기 위해 시스템이 요청을 제한하고 가장 가까운 NVIDIA 등급인 256p, 480p 또는 720p와 지원되는 가로세로 비율을 선택합니다.

기본값 2

에이전트 생성이 활성화된 경우 프롬프트 단계의 상한입니다.

기본값 2

에이전트 루프의 반복별 동영상 후보 수입니다. 최적 후보가 프롬프트 재작성으로 넘어가기 전에 평가에서 경쟁할 동영상 수를 결정합니다.

기본값 189

생성할 프레임 수입니다. 늘리면 더 긴 동영상이 생성됩니다.

기본값 24

출력 동영상 프레임 속도이며, 초당 프레임 수로 측정합니다.

고급 negative_prompt · num_inference_steps · guidance_scale · seed · enable_prompt_expansion · agentic_early_stop · enable_safety_checker
0 / 2048

원치 않는 움직임이나 아티팩트 같은 콘텐츠를 억제하는 네거티브 프롬프트입니다. 생략하면 NVIDIA가 권장하는 i2v 네거티브 프롬프트를 사용하고, 빈 문자열을 지정하면 네거티브 가이던스를 비활성화합니다.

기본값 28

디노이징 단계 수입니다. 수가 늘어날수록 처리 시간이 길어지는 대신 품질이 향상됩니다.

기본값 6

분류기 없는 가이던스의 강도입니다.

재현성을 제어하는 시드입니다. 모델 버전이 같으면 동일한 프롬프트와 시드가 동일한 동영상을 생성합니다.

POST /run/nvidia/cosmos-3-super/image-to-video?wait=20 견적 → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nvidia/cosmos-3-super/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Cosmos 3 Super Image to Video 정보

`image_url`을 시작 프레임으로 사용하고 최대 4096자의 `prompt`를 받습니다. `num_frames`는 최대 189이고 `frames_per_second`는 4~60입니다. 프롬프트 확장은 기본적으로 활성화되며 `enable_agentic_generation`은 비평과 함께 반복적으로 후보를 생성합니다. `negative_prompt`, `guidance_scale` 및 최대 50의 `num_inference_steps`도 지원합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
≤ 4,096자
텍스트로 작성하는 동영상 생성 지침입니다. 장면에 포함될 내용과 표시할 움직임을 지정하세요.
image_url필수 image
유형url · image
동영상 첫 프레임을 조건화하는 데 사용하는 이미지 URL입니다.
negative_prompt선택 사항
유형string
기본값The video captures a series of frames showing macroblocking artifacts, chromatic aberration, high-frequency noise, and rolling shutter distortion. It includes static with no motion, motion blur, over-saturation, shaky footage, low resolution, grainy texture, pixelated images, poorly lit areas, underexposed and overexposed scenes, poor color balance, washed out colors, choppy sequences, jerky movements, low frame rate, bit-depth compression artifacts, color banding, unnatural transitions, outdated special effects, fake elements, unconvincing visuals, poorly edited content, jump cuts, hard cut, visual noise, and flickering. It features moiré patterns, edge halos, and temporal aliasing. Furthermore, the content defies common sense, generating illogical scenarios, nonsensical entities, absurd character behaviors, and conceptual paradoxes that violate basic human reasoning and everyday reality. The video looks like a surreal or glitchy hallucination. Overall, the video is of poor quality.
≤ 2,048자
원치 않는 움직임이나 아티팩트 같은 콘텐츠를 억제하는 네거티브 프롬프트입니다. 생략하면 NVIDIA가 권장하는 i2v 네거티브 프롬프트를 사용하고, 빈 문자열을 지정하면 네거티브 가이던스를 비활성화합니다.
enable_prompt_expansion선택 사항
유형boolean
기본값true
true이면 Cosmos3-Nano Reasoner를 사용해 Cosmos3 학습에 사용되는 dense-caption 형식을 생성하는 프롬프트 확장입니다. 이 VLM은 첫 프레임을 검사합니다. COSMOS_PROMPT_UPSAMPLER_BASE_URL은 구성된 Reasoner 서비스를 선택하며, 지정하지 않으면 앱이 로컬에서 실행합니다. 확장에 실패하면 수정되지 않은 프롬프트를 사용합니다.
enable_agentic_generation선택 사항
유형boolean
기본값false
반복적인 Cosmos 에이전트 생성입니다. 모든 후보를 완전히 렌더링해야 하므로 한 번 생성하는 것보다 훨씬 느리고 비용이 높습니다. 루프는 프롬프트를 업샘플링하고 동영상 후보를 생성한 뒤 VLM으로 샘플 프레임을 평가하고 프롬프트를 다시 작성합니다.
agentic_max_iterations선택 사항
유형integer
기본값2
1 – 3
에이전트 생성이 활성화된 경우 프롬프트 단계의 상한입니다.
agentic_samples_per_iteration선택 사항
유형integer
기본값2
1 – 3
에이전트 루프의 반복별 동영상 후보 수입니다. 최적 후보가 프롬프트 재작성으로 넘어가기 전에 평가에서 경쟁할 동영상 수를 결정합니다.
agentic_early_stop선택 사항
유형boolean
기본값true
평가 점수가 엄격한 품질 기준을 초과하면 에이전트 루프를 종료하기에 충분한 것으로 처리하는 조기 종료 제어입니다.
image_size선택 사항
유형object
기본값{"height":480,"width":832}
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
자동 조정 전 요청하는 동영상 크기입니다. 지원되는 크기를 얻기 위해 시스템이 요청을 제한하고 가장 가까운 NVIDIA 등급인 256p, 480p 또는 720p와 지원되는 가로세로 비율을 선택합니다.
num_frames선택 사항
유형integer
기본값189
5 – 189
생성할 프레임 수입니다. 늘리면 더 긴 동영상이 생성됩니다.
frames_per_second선택 사항
유형integer
기본값24
4 – 60
출력 동영상 프레임 속도이며, 초당 프레임 수로 측정합니다.
num_inference_steps선택 사항
유형integer
기본값28
1 – 50
디노이징 단계 수입니다. 수가 늘어날수록 처리 시간이 길어지는 대신 품질이 향상됩니다.
guidance_scale선택 사항
유형number
기본값6
0 – 20
분류기 없는 가이던스의 강도입니다.
seed선택 사항
유형integer | null
재현성을 제어하는 시드입니다. 모델 버전이 같으면 동일한 프롬프트와 시드가 동일한 동영상을 생성합니다.
enable_safety_checker선택 사항
유형boolean
기본값true
제공된 이미지와 프롬프트의 조정 제어입니다. 권한이 있는 계정만 비활성화할 수 있습니다. 권한이 없는 요청은 설정과 관계없이 검사를 거칩니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nvidia/cosmos-3-super/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}모델이 생성한 동영상입니다.
seed
integer생성 중 적용되는 시드 값입니다.

더 많은 모델: 이미지를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/nvidia/cosmos-3-super/image-to-video.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt